#
# spec file for package mylvmbackup (Version 0.14)
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA  02111-1307  USA

Name:		mylvmbackup
Summary:	Utility for creating MySQL backups via LVM snapshots
Version:	0.14
Release:	1.1
License:	PL
Group:		Productivity/Archiving/Backup
Source:		%{name}-%{version}.tar.bz2
URL:		http://www.lenzg.net/mylvmbackup/
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch

BuildRequires:	perl(DBI)
BuildRequires:	perl(DBD::mysql)
BuildRequires:	perl(Config::IniFiles)
BuildRequires:	perl(Sys::Syslog)
BuildRequires:	perl(Date::Format)
BuildRequires:	perl(Getopt::Long)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Temp)

BuildRequires:	lvm2
BuildRequires:	util-linux
BuildRequires:	rsync
BuildRequires:	tar
BuildRequires:	gzip


Requires:  perl(DBI)
Requires:  perl(DBD::mysql)
Requires:  perl(Config::IniFiles)
Requires:  perl(Sys::Syslog)
Requires:  perl(Date::Format)
Requires:  perl(Getopt::Long)
Requires:  perl(File::Basename)
Requires:  perl(File::Temp)

Requires:  lvm2
Requires:  util-linux
Requires:  rsync
Requires:  tar
Requires:  gzip


%description
mylvmbackup is a script for quickly creating backups of MySQL server's data
files. To perform a backup, mylvmbackup obtains a read lock on all tables and
flushes all server caches to disk, makes an LVM snapshot of the volume
containing the MySQL data directory, and unlocks the tables again. The snapshot
process takes only a small amount of time. When it is done, the server can
continue normal operations, while the actual file backup proceeds.

%prep

%setup

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
%__make DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix} mandir=%{_mandir} install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%config(noreplace,missingok) %attr(600, root, root) %{_sysconfdir}/mylvmbackup.conf
%config(noreplace) %{_datadir}/%{name}/*.pm
%doc ChangeLog COPYING CREDITS INSTALL README TODO
%doc %{_mandir}/man1/%{name}.1*
%dir %{_datadir}/%{name}
%{_bindir}/%{name}

%changelog
* Wed Jun 26 2013 Carsten Schoene <cs@linux-administrator.com> - 0.14-1
- update to release 0.14

* Sun Sep 06 2009 Carsten Schoene <cs@linux-administrator.com> - 0.13-1
- update to release 0.13
 - precleanup.pm hook sample was deleted as it has potential to cause harm and is too specialized on a particular use case
 - added support for rsync via SSH
 - InnoDB recovery was fixed in case a relative path to the MySQL data directory is defined
 - The documentation of relpath in the man page was improved

* Sun Jun 21 2009 Carsten Schoene <cs@linux-administrator.com> - 0.12-1
- initial build
